@for (milestone of milestones; track milestone) {
  <nz-tag
    [@.disabled]="true"
    class="data-color"
    nz-popover
    nzPopoverPlacement="bottomLeft"
    [nzMode]="milestoneAllowModification(milestone) ? 'closeable' : 'default'"
    [nzPopoverContent]="milestoneContent"
    [ngClass]="'editable-tags'"
    (nzOnClose)="removeMilestone(milestone.id)"
  >
    {{ milestone.label }}
    <ng-template #milestoneContent>
      <div class="milestone-content">
        <label>{{ 'sqtm-core.entity.generic.status.label' | translate }}</label
        ><span>{{
          'sqtm-core.entity.milestone.status.' + milestone.status | translate
        }}</span>
        <label>{{ 'sqtm-core.entity.milestone.term.label' | translate }}</label
        ><span>{{
          milestone.endDate | date: 'shortDate' : '' : getBrowserLanguage()
        }}</span>
        <label>{{
          'sqtm-core.entity.generic.description.label' | translate
        }}</label>
        <div
          class="overflow-hidden"
          [innerHTML]="milestone.description | safeRichContent"
        ></div>
      </div>
    </ng-template>
  </nz-tag>
}
@if (editable) {
  <i
    nz-icon
    class="current-workspace-button add-milestone-icon table-icon-size"
    nz-tooltip
    [nzTooltipTitle]="'sqtm-core.dialog.milestone.bind.multiple' | translate"
    [attr.data-test-button-id]="'open-milestone-dialog'"
    (click)="openDialog()"
    [nzType]="'plus-circle'"
  ></i>
}
